org.eclipse.microprofile.rest.client.tck.ssl

## Class AbstractSslTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.rest.client.tck.ssl.AbstractSslTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

Direct Known Subclasses:
  SslContextTest, SslHostnameVerifierTest, SslMutualTest, SslTrustStoreTest

    public abstract class AbstractSslTest
    extends org.jboss.arquillian.testng.Arquillian

A superclass for SSL-related tests Certificates were generated with Tomas Terem's script: https://gist.github.com/tterem/8c4891641eddd6f070c6cdc738738c34

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

Fields
`protected static File` `anotherTruststore`
`static String` `CERT_LOCATION_FILE`
`protected static File` `clientKeystore`
`protected static String` `clientKeystoreFromClasspath`
`protected static File` `clientTruststore`
`protected static String` `clientTruststoreFromClasspath`
`protected static File` `clientWrongHostnameTruststore`
`protected static String` `clientWrongHostnameTruststoreFromClasspath`
`protected static File` `serverKeystore`
`protected static File` `serverTruststore`
`protected static File` `serverWrongHostnameKeystore`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`AbstractSslTest()`

### Method Summary

All Methods Static Methods Concrete Methods
`static KeyStore` `getKeyStore(File keystoreFile)`
`static void` `initHttpsServer()`
`static void` `stopHttpsServer()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CERT_LOCATION_FILE

    public static final String CERT_LOCATION_FILE

See Also:
  Constant Field Values

#### serverKeystore

    protected static File serverKeystore

#### serverTruststore

    protected static File serverTruststore

#### clientKeystore

    protected static File clientKeystore

#### clientTruststore

    protected static File clientTruststore

#### clientTruststoreFromClasspath

    protected static String clientTruststoreFromClasspath

#### clientKeystoreFromClasspath

    protected static String clientKeystoreFromClasspath

#### serverWrongHostnameKeystore

    protected static File serverWrongHostnameKeystore

#### clientWrongHostnameTruststore

    protected static File clientWrongHostnameTruststore

#### clientWrongHostnameTruststoreFromClasspath

    protected static String clientWrongHostnameTruststoreFromClasspath

#### anotherTruststore

    protected static File anotherTruststore

### Constructor Detail

#### AbstractSslTest

    public AbstractSslTest()

### Method Detail

#### getKeyStore

    public static KeyStore getKeyStore(File keystoreFile)
                                throws Exception

Throws:
  `Exception`

#### initHttpsServer

    @BeforeClass
    public static void initHttpsServer()

#### stopHttpsServer

    @AfterClass
    public static void stopHttpsServer()